From 5396f21077dc66d923020880fef734b4c6e24aff Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 05 2024 21:12:17 +0000
Subject: [PATCH 11/220] Add system76-power


---

diff --git a/cosmic-epoch/cosmic-epoch.spec b/cosmic-epoch/cosmic-epoch.spec
index a106641..d64cb3d 100644
--- a/cosmic-epoch/cosmic-epoch.spec
+++ b/cosmic-epoch/cosmic-epoch.spec
@@ -31,6 +31,7 @@ Requires:       cosmic-store
 Requires:       cosmic-term
 Requires:       cosmic-workspaces
 Requires:       xdg-desktop-portal-cosmic
+Requires:       system76-power
 
 
 %global _description %{expand:
diff --git a/cosmic_apps.py b/cosmic_apps.py
index fa9eadc..a97273b 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -1001,4 +1001,24 @@ POP_LAUNCHER = {
 {contains_(f"%{{_bindir}}/pop-launcher")}
 {contains_(f"%{{_prefix}}/lib/pop-launcher/*")}
 """,
+}
+
+SYSTEM76_POWER = {
+"globals": "",
+"name": "system76-power",
+"version": "1.1.25",
+"repo": "https://github.com/pop-os/system76-power",
+"reposhort": "system76-power",
+"commit": "latest",
+"summary": "System76 Power Management",
+"license": GPL3,
+"sources": STANDARD_SOURCES,
+"buildrequires": STANDARD_BUILDREQUIRES,
+"requires": STANDARD_REQUIRES,
+"prep": STANDARD_PREP,
+"build": f"""make all VENDOR=1""",
+"install": f"""make install DESTDIR=%{{buildroot}} prefix=%{{_prefix}}""",
+"files": f"""
+
+"""
 }
\ No newline at end of file
diff --git a/specgen.py b/specgen.py
index 7b42c36..f89960e 100644
--- a/specgen.py
+++ b/specgen.py
@@ -38,7 +38,8 @@ BUILD_APPS = [
     cosmic_apps.COSMIC_TERM,
     cosmic_apps.COSMIC_WORKSPACES,
     cosmic_apps.COSMIC_XDG_DESKTOP_PORTAL,
-    cosmic_apps.POP_LAUNCHER
+    cosmic_apps.POP_LAUNCHER,
+    cosmic_apps.SYSTEM76_POWER
 ]
 
 BUILD_ETC = [cosmic_apps.COSMIC_ICONS]
diff --git a/system76-power/srpm.sh b/system76-power/srpm.sh
new file mode 100644
index 0000000..948d660
--- /dev/null
+++ b/system76-power/srpm.sh
@@ -0,0 +1,64 @@
+#!/bin/bash -x
+
+# Variables. LOOK CLOSELY AND MAKE SURE THESE ARE CORRECT
+
+name='system76-power'
+version='1.1.25'
+
+path_to_spec='system76-power/*'
+pop_repo='system76-power'
+
+# Commit to target. Use "latest" if you want master
+commit="latest"
+
+# Don't edit anything past this line 
+# ===================================================== #
+
+LATEST="latest"
+
+cd ../..
+# We should be in the base directory now
+
+git clone --recurse-submodules https://github.com/pop-os/$pop_repo
+
+cd $pop_repo
+
+if [[ "$commit" == "$LATEST" ]]
+then
+    commit=$(git rev-parse HEAD)
+fi
+
+echo $commit
+short_commit=${commit:0:6}
+
+git reset --hard $commit
+
+mkdir .vendor
+
+cargo vendor > .vendor/config.toml
+
+tar -pcf vendor.tar vendor && mv vendor.tar ../vendor.tar
+
+rm -rf vendor && cd ..
+
+# Back into cosmic-packaging
+
+ls
+
+if [ "$pop_repo" != "$name" ]; then
+    mv $pop_repo $name
+else
+    echo "names are equal. continuing..."
+fi
+
+tar -czf $name.tar.gz $name
+
+rm -rf $name
+
+cp cosmic-packaging/$path_to_spec .
+
+rm -rf cosmic-packaging
+
+current_date=$(date +'%Y%m%d.%H')
+
+sed -i "/^Version:    / s/.*/Version: $version~$current_date.$short_commit/" $name.spec
